<?php
/*
Plugin Name: Group Wiki Extension
Plugin URI: http://www.manchester.ac.uk/
Description: Simple Group Wikis for BuddyPress
Author: David Cartwright, Stuart Anderson, Ryo Seo-Zindy
Version: 1.2
Author URI: http://www.manchester.ac.uk/
Site Wide Only: true
*/

/*
 *	PLEASE DO NOT USE THIS PLUGIN IN A LIVE ENVIRONMENT - THIS IS A VERY EARLY TEST VERSION
 *	THIS PLUGIN IS LICENSED UNDER THE GNU AGPL
 *	AGPL DETAILS: http://www.fsf.org/licensing/licenses/agpl-3.0.html
 */

/* Check that BuddyPress is loaded before Wiki, from DJPaul */
add_action( 'plugins_loaded', 'wiki_load_buddypress', 1 );
function wiki_load_buddypress() {
	if ( function_exists( 'bp_core_setup_globals' ) ) {
		require_once ('bp-groupwiki-main.php');
		return true;
	}
	/* Get the list of active sitewide plugins */
	$active_sitewide_plugins = maybe_unserialize( get_site_option( 'active_sitewide_plugins' ) );

	if ( !isset( $active_sidewide_plugins['buddypress/bp-loader.php'] ) )
		return false;

	if ( isset( $active_sidewide_plugins['buddypress/bp-loader.php'] ) && !function_exists( 'bp_core_setup_globals' ) ) {
		require_once( WP_PLUGIN_DIR . '/buddypress/bp-loader.php' );
		require_once ('bp-groupwiki-main.php');
		return true;
	}

	return false;
}


// Add notification controls for the wiki edits
add_action( 'ass_extra_activities' , 'wiki_group_notifications_add' );
function wiki_group_notifications_add() {
	global $ass_activities;
	
	$ass_activities[] = array("type"=>"new_wiki_edit", "nice_name"=>"edited a wiki page", "default_frequency"=>3600);
	$ass_activities[] = array("type"=>"new_wiki_comment", "nice_name"=>"commented on a wiki page", "default_frequency"=>3600);
}


// Add wiki options to activity stream filters
add_action( 'bp_activity_filter_options' , 'activityStreamWikiFilterAdd', 10 );
add_action( 'bp_group_activity_filter_options' , 'activityStreamWikiFilterAdd', 10 );
add_action( 'bp_member_activity_filter_options' , 'activityStreamWikiFilterAdd', 10 );
function activityStreamWikiFilterAdd() {?>
	<option value="new_wiki_edit"><?php _e( 'Show Wiki Edits', 'buddypress' ) ?></option>
	<option value="new_wiki_comment,deleted_wiki_comment"><?php _e( 'Show Wiki Comments', 'buddypress' ) ?></option><?php
}
?>