<?php 
/*
 * Displays menu/list of pages within the group wiki. 
 * These are "wikified" blog pages.
*/

if ( $wikiCanView ) { 
?>
	<div id="blog-page" class="bp-widget">
		<div id='wiki-display'>
		<div class="wiki-title">
		<div class="titlebar">
		<h4><?php echo $wikiPage->post_title; ?></h4>
		<?php
		if ( $wikiCanEdit ) { ?>
			<div class="page-edit-link generic-button group-button public">
				<a href="<?php echo $wikiPageURI; ?>edit"><span>Edit this page</span></a>
			</div>
		<?php  
		} ?>
        </div>
		<p class="last-edited">
		<?php echo "Last edited by ".bp_core_get_userlink($wikiPage->post_author).
				   " on ".to_wiki_date_format($wikiPage->post_modified_gmt . ' +0000' )?>
		</p>
        </div>
		<div class="wiki-post">
			<?php 
			// If the post contains no content, display a message to inform user
			if($wikiPage->post_content == "") {
				echo "<p class='wiki-meta'>No content has been added to this page revision.  Select 'Edit this page' to begin adding some.</p>";
			}
			else {
				echo $wikiPageContent;
				?>
				<div class="clean"></div>
				<?php
			}
		?>
		</div>
		<?php
		echo $wikiPageRevisions;
		?>
		<div class="wiki-comments">
			<?php
			echo $wikiCommentTitleBar;
			// Do we output the submit comment form?
			if ( is_user_logged_in() && $wikiCanComment ) { ?>
			<p class='wiki-meta'>Leave a comment about this wiki page.</p>
			<form id="commentform" class="standard-form" method="post" action="<?php echo WIKI_S_COMMENT_SAVE ?>">
				<?php
				if ( function_exists('wp_nonce_field') )
					wp_nonce_field('wiki_unfiltered_html_comment');
				?>
				<p class="form-textarea">
				<label for="comment">Comment</label>
				<textarea id="comment_text" tabindex="4" rows="10" cols="60" name="comment_text"></textarea>
				</p>
				<p class="form-submit">
				<input id="submit" class="submit-comment button" type="submit" value="Submit" tabindex="5" name="submit"/>
				<input type="hidden" id="group_id" name="group_id" value="<?php echo $wikiGroupID; ?>"/>
				<input type="hidden" id="comment_post_id" name="comment_post_id" value="<?php echo $wikiPage->ID; ?>"/>
				<input id="comment_parent" type="hidden" value="0" name="comment_parent"/>
				</p>
			</form>
			<?php } // End $wikiCanComment check?>
			 
			<div class="comment-navigation paged-navigation">
			<?php wiki_paginate_links($wikiPageURI, $wikiComments, 5); ?>
			</div>
			<?php echo format_comments_as_list($wikiComments, 5, $wikiGroupID);
			?>
			
			<div class="comment-navigation paged-navigation">
			<?php wiki_paginate_links($wikiPageURI, $wikiComments, 5); ?>
			</div>
		</div>
	</div>
	</div>
<?php 
}
?>