<?php

if ( 'POST' != $_SERVER['REQUEST_METHOD'] ) {
	header('Allow: POST');
	header('HTTP/1.1 405 Method Not Allowed');
	header('Content-Type: text/plain');
	exit;
}

/** - START - Sets up the WordPress Environment. */
$path = substr(__FILE__,0,strpos(__FILE__,"wp-content"));
require($path . '/wp-load.php' );
nocache_headers();
wp();
require_once( ABSPATH . WPINC . '/template-loader.php' );
/** - END - Sets up the WordPress Environment. */


include(WP_PLUGIN_DIR.'/bp-groupwiki/bp-groupwiki.inc.php');

// Validate the nonce
if (!wp_verify_nonce($_REQUEST['_wpnonce'], 'wiki_revision_compare')) {
	die('Security check');
}

global $bp;
$groupID = $_POST['group_id'];
$postID = $_POST['post_id'];
$blogID = groups_get_groupmeta( $groupID , 'wiki_blog_id' );

// Get the currently selected page
$wikiPage = get_blog_post($blogID, $postID);
// Get post permalink for later redirection
$returnLink = bpgw_get_permalink( $groupID , $postID ) . "revision/";

// Form the URL for returning the details of the revision
$leftRevision = $_POST['left'];
$rightRevision = $_POST['right'];

if($leftRevision == '' && $rightRevision == '') {
	bp_core_add_message( __( 'You must select two different revisions and you appear to have not selected any.',
							 'buddypress' ), 'error' );
}
else if($leftRevision == '') {
	bp_core_add_message( __( 'You must select two different revisions and you appear to have not selected '.
							 'a left-side revision for the comparison', 'buddypress' ), 'error' );						 
} 
else if($rightRevision == '') {
	bp_core_add_message( __( 'You must select two different revisions and you appear to have not selected '.
							 'a right-side revision for the comparison', 'buddypress' ), 'error' );
}
else if($rightRevision == $leftRevision) {
	bp_core_add_message( __( 'You must select two different revisions and you appear to selected identical ones. '.
							 'Both versions are the same!', 'buddypress' ), 'error' );
}
else {
	$returnLink .= "$leftRevision-$rightRevision";
}

// Send the user back to the page view screen
bp_core_redirect($returnLink);
?>