<?php 
// May be convert to use POST later
/*if ( 'POST' != $_SERVER['REQUEST_METHOD'] ) {
	header('Allow: POST');
	header('HTTP/1.1 405 Method Not Allowed');
	header('Content-Type: text/plain');
	exit;
}*/

// - START - Sets up the WordPress Environment. 
$path = substr(__FILE__,0,strpos(__FILE__,"wp-content"));
require($path . '/wp-load.php' );
nocache_headers();
wp();
require_once( ABSPATH . WPINC . '/template-loader.php' );
// - END - Sets up the WordPress Environment. 


include(WP_PLUGIN_DIR.'/bp-groupwiki/bp-groupwiki.inc.php');

// Validate the nonce
if (!wp_verify_nonce($_REQUEST['_wpnonce'], 'wiki_revision_restore_')) {
	die('Security check');
}

global $bp, $wpdb;

$groupID = $_GET['group_id'];
$postID = $_GET['post_id'];
$revisionID = $_GET['revision_id'];
$blogID = groups_get_groupmeta($groupID , 'wiki_blog_id');


// Get the currently selected page
$wikiPage = get_blog_post($blogID , $postID);
$revisionPage = get_blog_post($blogID , $revisionID);

// Get post permalink for later redirection - we return user to the revisions section
$returnLink = bpgw_get_permalink( $groupID , $postID ); 

// Switch to blog and set the loop_post for the selected page 
switch_to_blog($blogID);
start_in_the_loop($wikiPage);

// Add security here
$canRestoreRevisions = false;

$wikiCanView 	= user_can_view_wiki_page($postID, $groupID);
$wikiCanEdit	= user_can_edit_wiki_page($postID, $groupID);
if($wikiCanView && $wikiCanEdit) {
	$canRestoreRevisions = true;
}

if($canRestoreRevisions) {
	$oldAuthor = $wikiPage->post_author;
	
	// Restore the revision 
	
	

	// Set up args for the update
	$newPostArgs = array();
	$newPostArgs['ID'] = $postID;
	$newPostArgs['post_content'] = $revisionPage->post_content;
	$newPostArgs['post_author'] = $bp->current_user->id;
	// Update
	$newPostID = wp_update_post ( $newPostArgs );
	
	
	// Update the page restore history in the post metadata
	carry_over_restore_postmeta($postID);
	/* Add in the restore record for our restored revision.
	 * NOTE: This call must come AFTER the carrying over of any previous 
	 * restore meta data on the page post ID else we risk deleting what we
	 * have just added if user restores the same version more than once successively. 
	 */
	add_post_meta($postID, WIKI_M_PAGE_RESTORED, $postID.'-'.$revisionID); // Add new
	
	// NOTE: wordpress assigns author IDs wrongly, current user is carried over to new revision copy)
	// Fix the author problem - need to manually set the author for the old revision
	$revisions = wp_get_post_revisions($postID, array('numberposts' => 1, 'post_type' => 'revision',
												  'order' => 'DESC', 'orderby' => 'date'));
	if(!empty($revisions)) {
		// Get the post_id for the latest revision
		$latestRevisionID = $revisions[key($revisions)]->ID;
		// Update the revision with the author id of whoever was the previous current rev author
		$wpdb->query( $wpdb->prepare("UPDATE {$wpdb->base_prefix}%d_posts ".
									 "SET post_author = %d ".
									 "WHERE id =%s",
									 $blogID , $oldAuthor, $latestRevisionID ) );
		// Now update the current rev (the parent post) with the current user's id
		$wpdb->query( $wpdb->prepare("UPDATE {$wpdb->base_prefix}%d_posts ".
									 "SET post_author = %d ".
									 "WHERE id =%s", 
									 $blogID , $bp->loggedin_user->id , $postID ) );
	}

	// Check the result returned 
	if(is_numeric($newPostID) && $newPostID > 0) {
	
		// Check to see if the page is being edited at the same time as restore occurred
		$pageIsBeingEdited = false;
		$editingAuthor = '';
		
		$postEditData = $wpdb->get_results( $wpdb->prepare("SELECT meta_id, meta_value ".
														   "FROM {$wpdb->base_prefix}%d_postmeta ".
														   "WHERE post_id = %d && meta_key = 'bpgw_edit_lock'", 
														   $blogID, $postID ), ARRAY_A );
		if ($postEditData) {
			foreach( $postEditData as $postEdit) {
				/* explode the string with &
				 * Resulting array  will be:
				 * $editData['meta_value'][0]==userID, $editData['meta_value'][1]==timestamp, $editData['meta_value'][2]==Authorname
				 * if the time is within 45 seconds of now add them to the $output string
				 */
				$editData = explode( "&" , $postEdit['meta_value'] );
				if($editData[0] != $bp->loggedin_user->id ) { 
				// If this isn't the current user AND time less than 45 seconds ago
					if ( time() - $editData[1] < 15 ) {
						$pageIsBeingEdited = true;
						$editingAuthor = $editData['meta_value'][2];
					}
				} 
			}
			
		}
		
		// Success feedback
		if(!$pageIsBeingEdited) {
			$successMessage = 'The revision was successfully restored and is now the \'current\' revision.';
		}
		else {
			$successMessage = 'It appears that the user \''.$editingAuthor.'\' is currently editing this document. '.
							  'The revision you selected has been successfully restored, but once '.$editingAuthor.' '.
							  'finishes editing the document and Saves their work, their version will overwrite '.
							  'your restored version.';
		}
		bp_core_add_message( __($successMessage, 'buddypress' ) );
	} 
	else {
		$returnLink .= "revision/$revisionID";
		bp_core_add_message( __( 'There was a error when attempting to restore this revision. '.
								 'Please report the problem to your systems administrator', 'buddypress' ), 'error');
	}
} 
else {
	$returnLink .= "revision/$revisionID";
	// User isn't allowed to restore revisions
	bp_core_add_message( __( 'You do not have the required access to do that.', 'buddypress' ), 'error' );
}


// End the loop and restore blog
end_in_the_loop();
restore_current_blog();

// Send the user back to the page view screen
bp_core_redirect( $returnLink );
?>